Next Previous Contents

## 1. Introduction

cc65 is a C compiler for 6502 based systems. It implements a subset of the ISO C standard plus additional functions specially crafted for 6502 systems or just some of the supported machines. This function refrence describes the available functions together with any limitations.

For an overview about the available libraries, their purpose, and any differences to the ISO standard, please have a look at the cc65 Library Overview.

Note: Standard C functions are listed here, but not described in detail. Since these functions behave identical on all standard compliant systems, they are described in any book covering standard C.

Each entry for a function contains a detailed description

> Function

>   Summary of what function does.

> Header

>   The header file that contains the declaration.

> Declaration

>   Describes the needed header files and declaration of the function.

> Description

>   Description of the function.

> Limits

>   Limits.

> Availability

>   The availability of the function.

> See also

>   Other related functions.

> Example

>   A piece of actual code using the function.

Next Previous Contents